import { UseScrollableOptions } from '../../index.ts';

export declare function useScrollable<TElement extends HTMLElement>({ activeIndex, direction, drag, reduceMotion, onDragStart, onDragEnd, onScroll, onPrev, onNext, isActiveIndexCentered, }?: Partial<UseScrollableOptions>): {
    containerRef: import('react').RefObject<TElement>;
    getPrevButtonProps: <TUserProps = {}>(userProps?: TUserProps) => {
        onClick: (...args: unknown[]) => void;
        disabled: boolean;
    } & TUserProps;
    getNextButtonProps: <TUserProps = {}>(userProps?: TUserProps) => {
        onClick: (...args: unknown[]) => void;
        disabled: boolean;
    } & TUserProps;
    showNext: () => void;
    showPrev: () => void;
    state: {
        hasPrev: boolean;
        hasNext: boolean;
        isDragged: boolean;
    };
};
